> For the complete documentation index, see [llms.txt](https://docs.openreview.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openreview.net/v1/venue-request-workflow/exercises-for-workflow-chairs/prerequisites.md).

# Prerequisites

All exercises should be practiced on the dev site. For any exercise, you will need to have the following prerequisites set up.

1. Review the documentation [here](/v1/how-to-guides/workflow/how-to-test-your-venue-workflow.md) and create a venue request for the dev site.
2. Instantiate the python client using your dev profile credentials:

```python
import openreview
# API 1 client
dev_client_v1 = openreview.Client(
    baseurl='https://api.dev.openreview.net',
    username=dev_username,
    password=dev_pass
)

# API 2 client
dev_client_v2 = openreview.api.OpenReviewClient(
    baseurl='https://api2.dev.openreview.net',
    username=dev_username,
    password=dev_pass
)
```

5. Recommended: Familiarize yourself with the [Example Workflow](/v1/venue-request-workflow/conferences.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.openreview.net/v1/venue-request-workflow/exercises-for-workflow-chairs/prerequisites.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
